<!DOCTYPE html>
<html>
<head>
	<title></title>
	<style type="text/css">
	 .xyz{
 	display: flex;
 	flex-flow: row wrap;
 	 }
 	 img{
 	 	height: 100%;
 	 	width: 100%;
 	 }
		@media screen and (min-width: 400px)  {...}
@media screen and (min-width: 400px)  {
	 .abc{
 	width: 100%;
 }
}
@media screen and (min-width: 768px) {
 .abc{
 	width: 50%;
 }
}
@media screen and (min-width: 992px) {
 .abc{
 	width: 25%;
 }

}
	</style>
</head>
<body>
<div class = "xyz">
	<div class="abc">
		<img src="img/1.jpeg">
	</div>
	<div class="abc">
		<img src="img/2.jpeg">
	</div>
	<div class="abc">
		<img src="img/3.jpeg">
	</div>
	<div class="abc">
		<img src="img/4.jpeg">
	</div>
	<div class="abc">
		<img src="img/5.jpeg">
	</div>
	<div class="abc">
		<img src="img/6.jpeg">
	</div>
	<div class="abc">
		<img src="img/7.jpeg">
	</div>
	<div class="abc">
		<img src="img/8.jpeg">
	</div>
	<div class="abc">
		<img src="img/9.jpeg">
	</div>
	<div class="abc">
		<img src="img/10.jpeg">
	</div>
	<div class="abc">
		<img src="img/11.jpeg">
	</div>
	<div class="abc">
		<img src="img/12.jpeg">
	</div>
	
</div>
</body>
</html>